package com.ssj.service.conch.teacher.v1.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ChildInfoDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;

    private String name;

    private String img;

    private String grade;

    private String school;

    private List<String> labels = new ArrayList<>();


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public List<String> getLabels() {
        return labels;
    }

    public void setLabels(List<String> labels) {
        this.labels = labels;
    }

    public void addLabel (String label){
        this.labels.add(label);
    }
}
